package org.apache.commons.lang3.concurrent;

package .tmp;

import org.apache.commons.lang3.concurrent.EventCountCircuitBreaker;

abstract class StateStrategy {
  private StateStrategy() {}
  
  public boolean isCheckIntervalFinished(EventCountCircuitBreaker breaker, EventCountCircuitBreaker.CheckIntervalData currentData, long now) {
    return (now - currentData.getCheckIntervalStart() > fetchCheckInterval(breaker));
  }
  
  public abstract boolean isStateTransition(EventCountCircuitBreaker paramEventCountCircuitBreaker, EventCountCircuitBreaker.CheckIntervalData paramCheckIntervalData1, EventCountCircuitBreaker.CheckIntervalData paramCheckIntervalData2);
  
  protected abstract long fetchCheckInterval(EventCountCircuitBreaker paramEventCountCircuitBreaker);
}
